#　これは UTF-8  ファイルです。
#　Windows ユーザーはこのファイル"RCaBoCha.R"と、付属のファイルすべてを
#　Shift JIS　に変換してください。

setwd("/Users/yourName/dataRCaBoChaUnix")

library(RCaBoCha)



# 一行全体を範囲指定して、右クリック　[run]　で実行してください


#　CaBoCha　の解析結果をそのまま出力

RCaBoCha("それは面白い本であった。しかし、この本に比べると面白くはない。")


## CaBoCha　の解析結果を頻度表に
#　この際、否定の「ない」との係り受けを考慮

RCaBoChaFreq("昨日は鰻が美味しくなかった。今日は鰻が美味しいな。")

RCaBoChaFreq("それは面白い本であった。しかし、この本に比べると面白くはない。")


#　Cドライブ下の　data　フォルダ内のファイルを読み込んで頻度表を作成
##　この際、否定語「ない」を考慮する
# 引数 rmT =c("記号","助詞") 等として対象としない品詞を指定できます
# ただし記号のうち、半角スペースと全角スペース "!?.。．，！？" は自動的に削除されます。

RCaBoChaFile("hon.txt")
RCaBoChaFile("hon.txt",rmT =c("記号","助詞"))

## データフレームから文書ターム行列を作成する。

#　この際、否定の「ない」との係り受けを考慮
# 引数 rmT =c("記号","助詞")等として対象としない品詞を指定できます
#　引数 minFreq で文書全体を通しての最小頻度をしてできます

dat <- read.csv("c:/data/flower.csv")

res <- RCaBoChaDF(dat[,"Reply"])
nrow(res)
res

res <- RCaBoChaDF(dat[,"Reply"],rmT =c("記号","助詞"))
nrow(res)
res


res <- RCaBoChaDF(dat[,"Reply"],rmT =c("記号","助詞"), minFreq = 2)
nrow(res)
res

#### 重み付けも可能 TD IDF を計算して、標準化するには

res <- RCaBoChaDF(dat[,"Reply"],rmT =c("記号","助詞"), weight = "tf*idf*norm")
nrow(res)
res
apply(res^2, 2, sum) ## 各列の自乗の合計は１



##　ファイルあるいはディレクトリから文書ターム行列を作成。
#　この際、否定の「ない」との係り受けを考慮
# 引数 rmT =c("記号","助詞")等として対象としない品詞を指定できます
# ただし記号のうち、半角スペースと全角スペース "!?.。．，！？" は自動的に削除されます。
#　さらに引数 minFreq で文書全体を通しての最小頻度をしてできます

res <- RCaBoChaMx("flower")
res


res <- RCaBoChaMx("flower", rmT =c("記号","助詞"))
res


# 全文書を通じての総頻度が２以上のタームのみを残す
res <- RCaBoChaMx("flower", rmT =c("記号","助詞"), minFreq = 2)
res


#### 重み付けも可能 TD IDF を計算して、標準化するには

res <- RCaBoChaMx("C:/data/flower" ,rmT =c("記号","助詞"), weight = "tf*idf*norm")
nrow(res)
res
apply(res^2, 2, sum) ## 各列の自乗の合計は１


##　単独ファイルも読み込み可能
res <- RCaBoChaMx("flower/hana1.txt")
res
